Subject: [PATCH net 0/5] sctp: a bunch of fixes for stream reconfig

From: Xin Long <[email-masked]>
Date: Sat, 25 Nov 2017 21:05:31 +0800

This patchset is to make stream reset and asoc reset work more correctly
for stream reconfig.

Thank to Marcelo making them very clear.

Xin Long (5):
  sctp: use sizeof(__u16) for each stream number length instead of magic
    number
  sctp: only allow the out stream reset when the stream outq is empty
  sctp: only allow the asoc reset when the asoc outq is empty
  sctp: avoid flushing unsent queue when doing asoc reset
  sctp: set sender next_tsn for the old result with ctsn_ack_point plus
    1

 net/sctp/stream.c | 77 ++++++++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 65 insertions(+), 12 deletions(-)

-- 
2.1.0